*****************.
* This SPSS syntax generates key tables from the ICVS main database (2007 version), these tables were used for the last two reports 
* with key findings. The syntax is alsmost ready for use, you will need to study the codebook that came with
* the database, in particular the identification variables (countries, years, national or main city).

*references:
*Van Dijk, J.J.M., van Kesteren, J.N. & Smit, P. (2008). Criminal Victimisation in International Perspective, Key findings from the 2004-2005 ICVS and EU ICS. Den Haag: Boom Juridische Uitgevers. 
*Van Kesteren, J.N., Mayhew, P. & Nieuwbeerta, P. (2000). Criminal Victimisation in Seventeen Industrialised Countries: Key-findings from the 2000 international Crime Victims Survey. The Hague: Ministry of Justice, WODC.
*Van Kesteren, J.N. (2007). Integrated Database from the International Crime Victims Survey (ICVS) 1989-20

* This syntax first does some data manipulation and then generates an aggregated database.
* Second, the syntax generates tables
* This syntax is valid for both the national surveys and the main city surveys
*
* 1. Just before the aggregate command, activate the weighting variable
*     w005b for the national survey and w004a for the main city surveys
* 2. First line of the aggregate command, use I005b for the national surveys and I004a for teh main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
* 3. In the table commands, use I005b for the national surveys and I004a for the main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
*
***********John van Kesteren****vanKest@UvT.nl*****.

get file 'C:\Data\icvs\data\2005database\ICVS2005_2.SAV'.
*get file 'C:\Data\icvs\data\2005database\LatinAmerica\latinAmerica.sav'.
include 'C:\Data\icvs\data\2005database\update2005_2.sps'.

select if (i002a ge 5).
weight by w005b.
FREQ I005B.

if (k040 ne 2)c11b400=-1.
missing values c11b400 (-1).

*******compiling last year reports****.
if (c01a100=2)c01b40a=c01b400.
if (c02a100=2)c02b40a=c02b400.
if (c03a100=2)c03b40a=c03b400.
if (c04a100=2)c04b40a=c04b400.
if (c05a100=2)c05b40a=c05b400.
if (c06a100=2)c06b40a=c06b400.
if (c07a100=2)c07b40a=c07b400.
if (c08a100=2)c08b40a=c08b400.
if (c09a100=2)c09b40a=c09b400.
if (c10a100=2)c10b40a=c10b400.
if (c11a100=2)c11b40a=c11b400.
if (c12a100=2)c12b40a=c12b400.
count rp09=c01b40a c02b40a c04b40a c05b40a
 c06b40a c09b40a c10b40a c11b40a c12b40a (1).
count vc09=c01b40a c02b40a c04b40a c05b40a
 c06b40a c09b40a c10b40a c11b40a c12b40a (1,2,3).
count rp05= c02b40a c05b40a c06b40a c07b40a c10b40a (1).
count vc05= c02b40a c05b40a c06b40a c07b40a c10b40a (1,2,3).

count rp04= c05b400 c06b400 c07b400 c10b400 (1).
count vc04= c05b400 c06b400 c07b400 c10b400 (1,2,3).

******satisfied with police report*****.
count rsat=c02b500 c06b500 c09b500 c11b500 c12b500 (1).
count rsatb=c02b500 c06b500 c09b500 c11b500 c12b500 (1,2,3).
count rsat4=c06b500 c09b500 c11b500 c12b500 (1).
count rsatb4=c06b500 c09b500 c11b500 c12b500 (1,2,3).
count rsatC=c09b500 c11b500 c12b500 (1).
count rsatbC=c09b500 c11b500 c12b500 (1,2,3).
count rsatP=c02b500 c06b500 (1).
count rsatbP=c02b500 c06b500 (1,2,3).

******victim support and useful******.
count vs=c06b700 c09b700 c11b700 c12b700 (1).
count vsb=c06b700 c09b700 c11b700 c12b700 (1,2,3).
count vu=c06b801 c09b801 c11b801 c12b801 (2).
count vub=c06b801 c09b801 c11b801 c12b801 (1,2,3).

count rapbur = c06b400 (1,2,3).

*weight by w005b or w004a.
*/break i005a i002 or i004a i002.

weight by w005b.
aggregate outfile * / break i005b i002a 
 /i005a=mean(i005a)
 /c01b400 'report car theft' =pin (c01b400,1,1)
 /c02b400 'report theft from a car' =pin (c02b400,1,1)
 /c03b400 'report car vandalism' =pin (c03b400,1,1)
 /c04b400 'report motorcyle theft' =pin (c04b400,1,1)
 /c05b400 'report bicycle theft' =pin (c05b400,1,1)
 /c06b400 'report burglary' =pin (c06b400,1,1)
 /c07b400 'report attempted burglary' =pin (c07b400,1,1)
 /c09b400 'report robbery' =pin (c09b400,1,1)
 /c10b400 'report theft of personal property ' =pin (c10b400,1,1)
 /c11b400 'report sexqual offences' =pin (c11b400,1,1)
 /c12b400 'report assault & threat' =pin (c12b400,1,1)
 /rp09 'rapport 9crimes in 1y' =sum(rp09)
 /vc09 'victims 9crimes in 1y' =sum(vc09)
 /rp05 'rapport 5crimes in 1y' =sum(rp05)
 /vc05 'victims 5crimes in 1y' =sum(vc05)
 /rp04 'rapport 4crimes in 5y' =sum(rp04)
 /vc04 'victims 4crimes in 5y' =sum(vc04)
 /c02b500 'satisfied thaft from car' =pin(c02b500,1,1)
 /c06b500 'satisfied burglary' =pin(c06b500,1,1)
 /c09b500 'satisfied robbery' =pin(c09b500,1,1)
 /c11b500 'satisfied sexual offences' =pin(c11b500,1,1)
 /c12b500 'satisfied assault & threat' =pin(c12b500,1,1)
 /rsat 'satisfied 5crimes'  =sum(rsat)
 /rsatb 'Nbase satis05'=sum(rsatb)
 /rsat4 'satisfied 4crimes' =sum(rsat4)
 /rsatb4 'Nbase satis04'=sum(rsatb4)
 /rsatP 'satisfied Pcrimes' =sum(rsatP)
 /rsatbP 'Nbase satisP'=sum(rsatbP)
 /rsatC 'satisfied Crimes' =sum(rsatC)
 /rsatbC 'Nbases satisC'=sum(rsatbC)
 /p00100 'police good job' =pin(p00100,1,1)
 /N00100 'Npolgoodjob'  = N(p00100)
 /vs 'victim support ' =sum(vs)
 /vsb 'Nbase victim support' =sum(vsb)
 /vu 'victim support useful' =sum(vu)
 /vub 'Nbase support useful' =sum(vub)
 /rapbur 'Nbase rapport burglary' =sum(rapbur).

********reporting to police*****.

compute rap09=100*rp09/vc09.
do if (i002a ge 2).
 compute rap05=100*rp05/vc05.
 compute rap04=100*rp04/vc04.
end if.

variable labels 
 rap09 'report to the police for 9 crimes in 1 year'
 rap05 'report to the police for 5 crimes in 1 year'
 rap04 'report to the police for 4 crimes in 5 years'.

tables
 /observation  rap09 c01b400 c02b400 c03b400 c04b400 c05b400
 c06b400 c07b400 c09b400 c10b400 c11b400 c12b400 
 /table i004a > i002a by rap09+c01b400+c02b400+c03b400+c04b400+c05b400+
 c06b400+c07b400+c09b400+c10b400+c11b400+c12b400
 /footer '*australia, no sexual offences*.

tables
 /observation rap05 vc05
 /table i005b by i002a>(rap05+vc05).

*******satisfied with police*******

compute rapsatis=100*rsat/rsatb.
compute rapsat4=100*rsat4/rsatb4.
compute rapsP=100*rsatP/rsatbP.
compute rapsC=100*rsatC/rsatbC.
variable labels
 rapsatis 'satisfied with report for 5 crimes'
 rapsat4 'satisfied with report for 4 crimes'
 rapsP 'satisfied with report burglary'
 rapsC 'satisfied with report 3 contact crimes'.

tables
 /observation rapsatis rsatb
 /table i005b by i002a>(rapsatis+rsatb).


******victim support****.
compute vicsup=100*vs/vsb.
compute supuse=100*vu/vub.
variable labels
 vicsup 'received victim support for 4 crimes'
 supuse 'victim support would have been useful'.

tables
 /observation vicsup vsb
 /table i005b by i002a>(vicsup+vsb).

****computing pick up rate****.
compute pickup=vs*100 / (vs+vu).
variable labels pickup 'victim support pickup rate'. 
if (vu=0 or vs=0)pickup=-1.
recode pickup (-1=sysmiss).


tables
 /observation  rap05 c02b500 c06b500 c09b500 c11b500 c12b500 rapsatis rap04 rapsat4 vicsup supuse p00100 n00100 vsb vub pickup vs vu
 /table i004a > i002a by rap05+rapsatis+c02b500+c06b500+c09b500+c11b500+c12b500+vicsup+supuse 
 /table i004a by i002a>(pickup+vs+vsb+vu+vub).

tables
 /observation p00100 n00100
 /table i004a by i002a>(p00100 + n00100).


******computing the police performance index****.
*Take the data from the appendix, manipulate a bit and copy paste in spss, then run the below syntac.
********************************************************.

****scaling***.
rank rap05 rapsatis p00100 / percent into Rrap05 Rsatis R00100.
compute PPI=Rrap05+Rsatis+R00100.
rank PPI / percent  into RPPI.
compute RPPI=50+0.5*RPPI.

 corr rap05 Rrap05 rapsatis Rsatis p00100 R00100 PPI RPPI.
tables
 /observation  rap05 Rrap05 rapsatis Rsatis p00100 R00100 PPI RPPI
 /table i005a>i002 by rap05+ Rrap05+ rapsatis+ Rsatis+ p00100+ R00100+ PPI+ RPPI
 /table i005a by i002 > RPPI    /title = 'RPPI'.
