*****************.
* This SPSS syntax generates key tables from the ICVS main database (2007 version), these tables were used for the last two reports 
* with key findings. The syntax is alsmost ready for use, you will need to study the codebook that came with
* the database, in particular the identification variables (countries, years, national or main city).

*references:
*Van Dijk, J.J.M., van Kesteren, J.N. & Smit, P. (2008). Criminal Victimisation in International Perspective, Key findings from the 2004-2005 ICVS and EU ICS. Den Haag: Boom Juridische Uitgevers. 
*Van Kesteren, J.N., Mayhew, P. & Nieuwbeerta, P. (2000). Criminal Victimisation in Seventeen Industrialised Countries: Key-findings from the 2000 international Crime Victims Survey. The Hague: Ministry of Justice, WODC.
*Van Kesteren, J.N. (2007). Integrated Database from the International Crime Victims Survey (ICVS) 1989-20

* a. This syntax generates tables with 'reasons' for all countries together for the separate crimes.
* b. This syntax generates tables with 'reasons' for individua countries, all crimes joined.
   for b.
* This syntax first does some data manipulation and then generates an aggregated database.
* Second, the syntax generates tables
* This syntax is valid for both the national surveys and the main city surveys
*
* 1. Just before the aggregate command, activate the weighting variable
*     w005b for the national survey and w004a for the main city surveys
* 2. First line of the aggregate command, use I005b for the national surveys and I004a for teh main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
* 3. In the table commands, use I005b for the national surveys and I004a for the main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
*
***********John van Kesteren****vanKest@UvT.nl*****.


get file 'C:\Data\icvs\data\2005database\ICVS2005_2.SAV'.
select if (i002 ge 2003).

missing values c01b411  to sa2b509 (0).

*** theft from a car  ***************************************************.

weight by w005b.
tables
 /missing exclude / base qualified
 /table i005b   by c02b501+c02b502+c02b503+c02b504+c02b505+c02b506+c02b507+c02b508+c02b509
 /statistics cpct ((f4.0):i005b).

weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a   by c02b501+c02b502+c02b503+c02b504+c02b505+c02b506+c02b507+c02b508+c02b509
 /statistics cpct ((f4.0):i004a).
**** burglary*************************************************************.

weight by w005b.
tables
 /missing exclude / base qualified
 /table i005b   by c06b501+ c06b502+c06b503+c06b504+c06b505+c06b506+c06b507+c06b508+c06b509
 /statistics cpct ((f4.0):i005b).

weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a   by c06b501+c06b502+c06b503+c06b504+c06b505+c06b506+c06b507+c06b508+c06b509
 /statistics cpct ((f4.0):i004a).

weight by w005b.
tables
 /missing exclude / base qualified
 /table i005b   by c06b411+c06b412+c06b413+c06b414+c06b415+c06b416+c06b417+c06b418+c06b419+c06b420+c06b421+c06b422
 /statistics cpct ((f4.0):i005b).
 
weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a   by c06b411+c06b412+c06b413+c06b414+c06b415+c06b416+c06b417+c06b418+c06b419+c06b420+c06b421+c06b422
 /statistics cpct ((f4.0):i004a).
*** robbery ***************************************************.

weight by w005b.
tables
 /missing exclude / base qualified
 /table i005b   by c09b501+c09b502+c09b503+c09b504+c09b505+c09b506+c09b507+c09b508+c09b509
 /statistics cpct ((f4.0):i005b).

weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a  by c09b501+c09b502+c09b503+c09b504+c09b505+c09b506+c09b507+c09b508+c09b509
 /statistics cpct ((f4.0):i004a).
*** sexual offences *******************************************.

tables
 /missing exclude / base qualified
 /table i005b   by c11b501+c11b502+c11b503+c11b504+c11b505+c11b506+c11b507+c11b508+c11b509
 /statistics cpct ((f4.0):i005b).

weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a   by c11b501+c11b502+c11b503+c11b504+c11b505+c11b506+c11b507+c11b508+c11b509
 /statistics cpct ((f4.0):i004a).
*** assault & threat *******************************************.

weight by w005b.
tables
 /missing exclude / base qualified
 /table i005b   by c12b501+c12b502+c12b503+c12b504+c12b505+c12b506+c12b507+c12b508+c12b509
 /statistics cpct ((f4.0):i005b).

weight by w004a.
tables
 /missing exclude / base qualified
 /table i004a   by c12b501+c12b502+c12b503+c12b504+c12b505+c12b506+c12b507+c12b508+c12b509
 /statistics cpct ((f4.0):i004a).

*****************************reasons by country  (crimes together) ***************************.

count cxxb500=c02b501 c06b501 c09b501 c11b501 c12b501 (0 1).
count cxxb501=c02b501 c06b501 c09b501 c11b501 c12b501 (  1).
count cxxb502=c02b502 c06b502 c09b502 c11b502 c12b503 (  1).
count cxxb503=c02b503 c06b503 c09b503 c11b503 c12b503 (  1).
count cxxb504=c02b504 c06b504 c09b504 c11b504 c12b504 (  1).
count cxxb505=c02b505 c06b505 c09b505 c11b505 c12b505 (  1).
count cxxb506=c02b506 c06b506 c09b506 c11b506 c12b506 (  1).
count cxxb507=c02b507 c06b507 c09b507 c11b507 c12b507 (  1).
count cxxb508=c02b508 c06b508 c09b508 c11b508 c12b508 (  1).
count cxxb509=c02b509 c06b509 c09b509 c11b509 c12b509 (  1).

*weight by w004a.
*break by i004a.
*weight by w005b.
*break by i005b.
weight by w005a.
aggregate outfile * / break i005a
 /cxxb500=sum (cxxb500)
 /cxxb501=sum (cxxb501)
 /cxxb502=sum (cxxb502)
 /cxxb503=sum (cxxb503)
 /cxxb504=sum (cxxb504)
 /cxxb505=sum (cxxb505)
 /cxxb506=sum (cxxb506)
 /cxxb507=sum (cxxb507)
 /cxxb508=sum (cxxb508)
 /cxxb509=sum (cxxb509).

compute cxxb501=cxxb501*100/cxxb500.
compute cxxb502=cxxb502*100/cxxb500.
compute cxxb503=cxxb503*100/cxxb500.
compute cxxb504=cxxb504*100/cxxb500.
compute cxxb505=cxxb505*100/cxxb500.
compute cxxb506=cxxb506*100/cxxb500.
compute cxxb507=cxxb507*100/cxxb500.
compute cxxb508=cxxb508*100/cxxb500.
compute cxxb509=cxxb509*100/cxxb500.

tables
 /observation cxxb501 to cxxb509 
 /table i005a   by cxxb501+cxxb502+cxxb503+cxxb504+cxxb505+cxxb506+cxxb507+cxxb508+cxxb509.




