*****************.
* This SPSS syntax generates key tables from the ICVS main database (2007 version), these tables were used for the last two reports 
* with key findings. The syntax is alsmost ready for use, you will need to study the codebook that came with
* the database, in particular the identification variables (countries, years, national or main city).

*references:
*Van Dijk, J.J.M., van Kesteren, J.N. & Smit, P. (2008). Criminal Victimisation in International Perspective, Key findings from the 2004-2005 ICVS and EU ICS. Den Haag: Boom Juridische Uitgevers. 
*Van Kesteren, J.N., Mayhew, P. & Nieuwbeerta, P. (2000). Criminal Victimisation in Seventeen Industrialised Countries: Key-findings from the 2000 international Crime Victims Survey. The Hague: Ministry of Justice, WODC.
*Van Kesteren, J.N. (2007). Integrated Database from the International Crime Victims Survey (ICVS) 1989-20

* This syntax first does some data manipulation and then generates an aggregated database.
* Second, the syntax generates tables
* This syntax is valid for both the national surveys and the main city surveys
*
* 1. Just before the aggregate command, activate the weighting variable
*     w005b for the national survey and w004a for the main city surveys
* 2. First line of the aggregate command, use I005b for the national surveys and I004a for teh main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
* 3. In the table commands, use I005b for the national surveys and I004a for the main city surveys
*     also use I002 (year of the survey) or I0021 or I002b for sweep 1 to 5
*
***********John van Kesteren****vanKest@UvT.nl*****.

***responses***.
get file 'C:\Data\icvs\data\2005database\ICVS2005_2.SAV'.

recode p00301 (15=sysmiss).
recode p00301 (1=1)(2=4)(3=9)(4=12)(5=24)(6=36)(7=48)(8=60)
 (9=96)(10=156)(11=218)(12=276)(13 14=300).

missing values p00401 to p00408 ().

*weight by w004a.
*aggregate outfile * / break i004a sweep.
select if (i002 ge 2001).
*weight by w005a.
*aggregate outfile * / break i005a sweep

weight by w005b.
aggregate outfile * / break i005b i002a
 /p00401 'burglar alarm' = pin (p00401,1,1)
 /p00402 'special door locks' = pin (p00402,1,1)
 /p00300 'prison detention' = pin (p00300,2,2)
 /p0030a 'comm serv' = pin (p00300,3,3)
 /p00301 'length prison detention (if)' = mean(p00301)
 /s0020 'feeling unsafe on the street after dark' = pin (s0020,3,4)
 /s0040 'burglary (very) likely' = pin(s0040,1,2).

tables
 /observation  p00401 p00300 s0020 s0040 p00402 p0030a p00301
 /table i005b> i002a by (p00401+p00402+p00300+s0020+s0040)
 /table i005b by i002a > p00401  /title = 'p00401'
 /table i005b by i002a > p00402  /title = 'p00402'
 /table i005b by i002a > p00300  /title = 'p00300'
 /table i005b by i002a > p0030a  /title = 'p0030a'
 /table i005b by i002a > p00301  /title = 'p00301'
 /table i005b by i002a > s0020    /title = 's0020'
 /table i005b by i002a > s0040    /title = 's0040'
 /table i005b by i002a > (p00300 + p00301)
 /table i005b by p00300 + p00301.





